Bug 210774 - Support toggling debug overlay for touch action region and editable element region independent from non-fast scrollable region
Summary: Support toggling debug overlay for touch action region and editable element r...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit Misc. (show other bugs)
Version: WebKit Local Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Daniel Bates
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2020-04-20 16:44 PDT by Daniel Bates
Modified: 2020-04-22 17:43 PDT (History)
9 users (show)

See Also:


Attachments
Patch (9.31 KB, patch)
2020-04-20 16:54 PDT, Daniel Bates
no flags Details | Formatted Diff | Diff
To Land (9.34 KB, patch)
2020-04-22 17:41 PDT, Daniel Bates
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Bates 2020-04-20 16:44:57 PDT
Support toggling debug overlay for touch action region and editable element region independent from non-fast scrollable region. Currently both of these are tied into the setting for painting the non-fast scrollable region. Separate them out to support opting into the combinations of overlays each person is interested in at the moment.
Comment 1 Daniel Bates 2020-04-20 16:54:49 PDT
Created attachment 397038 [details]
Patch
Comment 2 Daniel Bates 2020-04-21 13:26:43 PDT
Comment on attachment 397038 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=397038&action=review

> Source/WebCore/rendering/RenderLayer.cpp:7055
> +        if (renderer().settings().visibleDebugOverlayRegions() & (TouchActionRegion | EditableElementRegion))

I wanted to make this setting return an OptionSet<>, but that involves some work due to how settings are generated. For now, I deferred this.
Comment 3 Dean Jackson 2020-04-22 17:33:05 PDT
Comment on attachment 397038 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=397038&action=review

> Source/WebCore/ChangeLog:8
> +        Break out the touch action region and editable element region debug overlays into there own

their

> Source/WebCore/ChangeLog:19
> +        (WebCore::RenderLayerBacking::paintDebugOverlays): Condition the paintinf of touch action region

painting

>> Source/WebCore/rendering/RenderLayer.cpp:7055
>> +        if (renderer().settings().visibleDebugOverlayRegions() & (TouchActionRegion | EditableElementRegion))
> 
> I wanted to make this setting return an OptionSet<>, but that involves some work due to how settings are generated. For now, I deferred this.

Yeah, that's a shame. It's ok as a mask though.

> Source/WebCore/rendering/RenderLayerBacking.cpp:3088
> +        Color regionColor(0, 0, 255, 50);

At some point in the future we should collect all our colors into a single place so we can document them easily.
Comment 4 Daniel Bates 2020-04-22 17:41:12 PDT
Created attachment 397296 [details]
To Land
Comment 5 Daniel Bates 2020-04-22 17:42:51 PDT
Committed r260547: <https://trac.webkit.org/changeset/260547>
Comment 6 Radar WebKit Bug Importer 2020-04-22 17:43:18 PDT
<rdar://problem/62222660>